TAAS - Feature #1

Branch Master
08/02/2022 01:40 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 07/30/2022
Priority: Normal Due date: 08/04/2022
Assignee: Vivekp V % Done: 90%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Mail Settings

Description

Branch Master Coding

Subtasks:
Feature # 3: City Master

New Changes

History

#1 - 08/02/2022 01:45 PM - Anil KV
- Assignee set to Anil KV

#2 - 08/02/2022 03:33 PM - Anil KV

- Tracker changed from 2 to Bug

#3 - 08/02/2022 03:35 PM - Anil KV

- Tracker changed from Bug to Feature

#4 - 08/02/2022 03:39 PM - Anil KV
- Owner(Agency) Travvise added

#5 - 08/02/2022 03:57 PM - Anil KV
- Subtask #3 added

#6 - 08/09/2022 02:49 PM - Anil KV

- Status changed from New to Testing Done
- % Done changed from 0 to 70

- Module set to Mail Settings

#7 - 11/08/2022 04:47 PM - Amal Cyriac

- Status changed from Testing Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.SET REQUIRED FIELDS RED
2.SET PRODUTS TAB MANDATORY
3.CHECK ERROR ON CITY TAB

#8 - 11/17/2022 10:19 AM - Anil KV
- Assignee changed from Anil KV to Shanto Shaji

#9 - 11/29/2022 11:55 AM - Shanto Shaji

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 12/16/2022 10:15 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.ALLOW DUPLICATION ON NAME

#11 - 12/22/2022 11:25 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 01/07/2023 10:27 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

Ul Changes

1) Add New Field Right of "CR No" As "Expiry" (Text Box - Date)

2) Add New Field Computer Card (Text Box), In right side Add New Field Expiry (Text Box - Date)

3) Add New Field Civil Aviation License (Text Box), In sight side Add New Field Expiry (Text Box - Date)
4) Add New Field Trade License (Text Box), In sight side Add New Field Expiry (Text Box - Date)

Not Mandatory

#13 - 01/12/2023 03:50 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 01/30/2023 05:47 PM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Shanto Shaji to Karthika V Anand

- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET VALIDATION & RANGE ON DATE PICKER
(GUI CRASHING WHILE ENTER INVALID DATE)

#15 - 01/31/2023 11:19 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#16 - 06/24/2023 06:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#17 - 06/24/2023 07:15 PM - Junaid M
GUI Changes

1. There should be only 1 item having Branch Type As Main Branch
2. Desable "Parent Branch" While select Type As Main Branch, Branch
3.Parent Branch is mandatory for Point of Sale, Franchise, Corporate

#18 - 07/06/2023 11:23 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 07/29/2023 03:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Junaid M
#20 - 09/22/2023 04:33 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.NOT CLEARING BRANCH A/C CODE WHILE CLEARING NAME

#21 - 09/26/2023 01:20 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 09/30/2023 12:00 PM - unnikannan S
TESTING DONE

#23 - 01/01/2024 10:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.CONNECT ATTACHMENT BUTTON FUNCTION

Fixed 2.ENTERED DOC CODE PREFIX IS SHOWING AS CAPITALISED IN Ul BUT SAVING INTO DB NOT GETTING CAPITALISED (SETTED
THROUGH DOC CODE FORMAT)

Fixed 3.ADD RED STAR MANDATORY FIELD WHILE CHOOSING PARENT BRANCH

#24 - 01/20/2024 09:49 AM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#25 - 01/24/2024 06:29 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 01/31/2024 02:41 PM - unnikannan S
TESTING DONE

#27 - 01/31/2024 03:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

Ul CHANGES

Done 1.ADD A PARENT BRANCH COLUMN IN LIST
Done 2.SHOW DEFAULTLY THE TYPE OF BRANCHES IN LIST

#28 - 01/31/2024 04:59 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#29 - 01/31/2024 05:08 PM - unnikannan S
TESTING DONE

#30 - 02/19/2024 12:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED
Fixed 1.SHOWING FALSE SL NO IN PRINT SETTED THROUGH PRINT PDF COLUMN
#31 - 02/23/2024 10:34 AM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#32 - 02/23/2024 03:30 PM - unnikannan S
TESTING DONE

#33 - 02/26/2024 11:40 AM - Junaid M

After Branch Updated, then show info message about "Please Login Again To Effect Changes Done"

#34 - 02/26/2024 11:41 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#35 - 02/26/2024 05:08 PM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#36 - 02/26/2024 05:21 PM - unnikannan S

- Assignee changed from Vivekp V to Amal Siby

ISSUE FOUNDED

Done 1.NOT CLEARING COUNTRY,STATE,CITY AFTER SAVE AND TRY TO REMOVE

#37 - 02/27/2024 09:49 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#38 - 02/27/2024 10:53 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

After Branch Updated, then show info message about "Please Login Again To Effect Changes Done" DONE
ISSUE FIXED

Done 1.NOT CLEARING COUNTRY,STATE,CITY AFTER SAVE AND TRY TO REMOVE
#39 - 05/03/2024 12:18 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Block Deletion In Case The Saved Branch Is Used In Any Branch ID Has A Parent Branch
#40 - 05/03/2024 03:42 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.Block Deletion In Case The Saved Branch Is Used In Any Branch ID Has A Parent Branch

#41 - 05/03/2024 06:33 PM - unnikannan S
TESTING DONE
#42 - 06/07/2024 02:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Block Deletion In Case There Is Only One Branch ltem

#43 - 06/07/2024 04:51 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Block Deletion In Case There Is Only One Branch ltem

#44 - 06/12/2024 11:55 AM - unnikannan S
TESTING DONE

#45 - 06/29/2024 05:29 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#46 - 06/29/2024 06:00 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#47 - 09/10/2024 04:35 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#48 - 09/23/2024 01:12 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs Coding Done

- % Done changed from 90 to 70

#49 - 09/23/2024 02:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1) Change the tooltip for the parent branch field
2) Data showing on the parent column for main branch and branch type

#50 - 09/24/2024 09:52 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1) Change the tooltip for the parent branch field
2) Data showing on the parent column for main branch and branch type

#51 - 09/25/2024 12:17 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#52 - 10/21/2024 01:27 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Created a branch with which parent branch is required--> click new--> now parent branch is enabled.

#53 - 10/21/2024 07:00 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1. Created a branch with which parent branch is required--> click new--> now parent branch is enabled.

#54 - 11/13/2024 08:58 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.txt 3.34 KB 08/02/2022 Anil KV
2-tsModel.txt 1.99 KB 08/02/2022 Anil KV
3-CsFile.txt 15.1 KB 08/02/2022 Anil KV
4-CsControllerFile.txt 24.7 KB 08/02/2022 Anil KV
5-TsFile.txt 14 KB 08/02/2022 Anil KV
6-HtmlFile.txt 1.88 KB 08/02/2022 Anil KV
sql.txt 17.2 KB 08/02/2022 Anil KV
